classification
Title: posixmodule: convert statically allocated types (DirEntryType & ScandirIteratorType) to heap-allocated types
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eelizondo, eric.snow, jdemeyer, miss-islington, petr.viktorin, vstinner
Priority: normal Keywords: patch

Created on 2018-12-03 06:33 by eelizondo, last changed 2020-01-20 12:19 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10854 closed eelizondo, 2018-12-03 06:37
PR 15892 merged eelizondo, 2019-09-11 05:16
Messages (9)
msg330906 - (view) Author: Eddie Elizondo (eelizondo) * Date: 2018-12-03 06:33
After bpo34784, there are still two more cases of statically allocated types (DirEntryType & ScandirIteratorType). These should also be heap allocated to make posixmodule fully compatible with PEP384.
msg339745 - (view) Author: Jeroen Demeyer (jdemeyer) * (Python triager) Date: 2019-04-09 13:23
Just curious... how is PEP 384 relevant to modules insides CPython itself? I thought that this only mattered for external packages. Do you expect people to use a 3.7-compiled posixmodule.c on Python 3.8?
msg351895 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2019-09-11 14:16
@Jeroen, see Dino's expalantion in https://bugs.python.org/issue38075#msg351627 (relative to the "random" module).
msg356043 - (view) Author: miss-islington (miss-islington) Date: 2019-11-05 15:59
New changeset b3966639d28313809774ca3859a347b9007be8d2 by Miss Islington (bot) (Eddie Elizondo) in branch 'master':
bpo-35381 Remove all static state from posixmodule (GH-15892)
https://github.com/python/cpython/commit/b3966639d28313809774ca3859a347b9007be8d2
msg356133 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2019-11-06 14:20
The module still uses tp_new directly, so it's not limited to only stable ABI, but that's for another issue.

Thanks for the contribution!
msg356634 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-14 22:46
This change introduced a reference leak: bpo-38803 "test_wait3 and test_wait4 leaked references on x86 Gentoo Refleaks 3.x".
msg356700 - (view) Author: Eddie Elizondo (eelizondo) * Date: 2019-11-15 17:45
Woops! I'll get to it before the end of the weekend!
msg357427 - (view) Author: Eddie Elizondo (eelizondo) * Date: 2019-11-25 06:34
PR with fix is out.
msg360311 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-20 12:19
This issue introduced a regression: bpo-39395 "The os module should unset() environment variable at exit".
History
Date User Action Args
2020-01-20 12:19:25vstinnersetmessages: + msg360311
2019-11-25 06:34:13eelizondosetmessages: + msg357427
2019-11-15 17:45:58eelizondosetmessages: + msg356700
2019-11-14 22:46:56vstinnersetnosy: + vstinner
messages: + msg356634
2019-11-06 14:20:44petr.viktorinsetstatus: open -> closed

nosy: + petr.viktorin
messages: + msg356133

resolution: fixed
stage: patch review -> resolved
2019-11-05 15:59:28miss-islingtonsetnosy: + miss-islington
messages: + msg356043
2019-09-11 14:16:42eric.snowsetmessages: + msg351895
2019-09-11 05:16:31eelizondosetpull_requests: + pull_request15533
2019-04-09 13:23:46jdemeyersetnosy: + jdemeyer
messages: + msg339745
2019-01-07 15:17:28vstinnersettitle: Heap-allocated posixmodule types -> posixmodule: convert statically allocated types (DirEntryType & ScandirIteratorType) to heap-allocated types
2019-01-04 20:00:20eric.snowsetnosy: + eric.snow
2018-12-03 06:37:15eelizondosetkeywords: + patch
stage: patch review
pull_requests: + pull_request10089
2018-12-03 06:35:16eelizondosettitle: Heap-allocated Posixmodule types -> Heap-allocated posixmodule types
2018-12-03 06:35:08eelizondosettitle: Heap-allocated Posixmodule -> Heap-allocated Posixmodule types
2018-12-03 06:33:59eelizondocreate